#
# spec file for package arc-gtk-theme
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _theme  Arc
%define _name   arc
Name:           arc-gtk-theme
Version:        20170302
Release:        lp151.2.1
Summary:        Arc GTK+ theme
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/horst3180/arc-theme
Source:         https://github.com/horst3180/%{_name}-theme/archive/%{version}.tar.gz#/%{_name}-theme-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildArch:      noarch

%description
Arc is a flat theme with transparent elements.
It supports MATE, GNOME, Budgie, Xfce, and Cinnamon.

%package -n metatheme-%{_name}-common
Summary:        Arc Common Theme Files
Group:          System/GUI/Other
Recommends:     adwaita-icon-theme
Suggests:       gtk2-metatheme-%{_name} = %{version}
Suggests:       gtk3-metatheme-%{_name} = %{version}

%description -n metatheme-%{_name}-common
Arc is a flat theme with transparent elements.
It supports MATE, GNOME, Budgie, Xfce, and Cinnamon.

This package contains common files and themes for GNOME Shell,
Marco, Xfwm4, and Cinnamon.

%package -n gtk2-metatheme-%{_name}
Summary:        Arc GTK+2 Theme
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    packageand(metatheme-%{_name}-common:gtk2)

%description -n gtk2-metatheme-%{_name}
Arc is a flat theme with transparent elements.
It supports MATE, GNOME, Budgie, Xfce, and Cinnamon.

This package contains the GTK+2 theme.

%package -n gtk3-metatheme-%{_name}
Summary:        Arc GTK+3 Theme
Group:          System/GUI/Other
Requires:       gtk3 >= 3.14
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    packageand(metatheme-%{_name}-common:gtk3)

%description -n gtk3-metatheme-%{_name}
Arc is a flat theme with transparent elements.
It supports MATE, GNOME, Budgie, Xfce, and Cinnamon.

This package contains the GTK+3 theme.

%prep
%setup -q -n %{_name}-theme-%{version}
sed -i '/configure/d' autogen.sh
sed -i 's/^\(IconTheme=\).*$/\1Adwaita/' common/index.theme*

%build
./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot}%{_datadir}/ -type f -name '*.sh' -delete
%fdupes %{buildroot}%{_datadir}/

%files -n metatheme-%{_name}-common
%defattr(-,root,root)
%doc AUTHORS COPYING README.md
%dir %{_datadir}/themes/%{_theme}*/
%exclude %{_datadir}/themes/%{_theme}*/gtk-?.0/
%{_datadir}/themes/%{_theme}*/*

%files -n gtk2-metatheme-%{_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README.md
%{_datadir}/themes/%{_theme}*/gtk-2.0/

%files -n gtk3-metatheme-%{_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README.md
%{_datadir}/themes/%{_theme}*/gtk-3.0/

%changelog
* Sun Mar 12 2017 matthias.eliasson@gmail.com
- Update to version 20170302
  * Cinnamon 3.2 fixes
  * Fix frame borders with GTK 3.22.9
  * Small bugfixes
* Tue Nov 22 2016 sor.alexei@meowr.ru
- Update to version 20161119:
  * Cinnamon 3.2 support.
  * Bugfixes.
* Sun Nov 13 2016 mailaender@opensuse.org
- Update to version 20161005
  * Fix OSD windows in MATE 1.16
  * Fix Unity window decorations with GTK 3.20
  * Minor bugfixes
* Sat Sep 24 2016 sor.alexei@meowr.ru
- Update to version 20160923:
  * GNOME 3.22 support.
  * elementary OS Loki support.
  * Improve GNOME Flashback support (3.20+ only).
  * Easier window resizing in Xfce and MATE.
  * Bugfixes.
* Sun Jun  5 2016 sor.alexei@meowr.ru
- Update to version 20160605 (changes since 20160331):
  * Use highlight colour for selected menuitems.
  * Add dark Chromium theme.
  * Merge xfce-notify theme with GTK+ 2 theme (this removes the
  - -disable-xfce-notify build option).
  * Fix bugs in GTK+ 2 entry styling.
  * Update Unity window decorations.
  * Bugfixes.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 20160331:
  * Lots of fixes for Gnome/GTK+ 3.20.
* Fri Mar 25 2016 sor.alexei@meowr.ru
- Initial package.
